<div class="dialog-container-general">
  <p-dialog header="Recuperar contraseña" [(visible)]="emailRecuperarVisible" [style]="{width: '25vw'}" [modal]="true"
    class="modal-container" (onHide)="cerrarModal()">
    <div class="container">
      <div class="txt_field">
        <input type="email" id="email" class="inpt" autocomplete="off" placeholder="  " [(ngModel)]="correo">
        <i class="uil uil-envelope-upload"></i>
        <label for="email" class="inpt_label">Correo electrónico</label>
      </div>
    </div>

    <div class="containerActions">
      <button class="btn btn-primary-1 ingresar" (click)="Enviar()">ENVIAR CORREO</button>
    </div>
  </p-dialog>
</div>

<app-loading-overlay *ngIf="mostrarSpinner" [mensaje]="'Enviando correo...'"></app-loading-overlay>
